﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace DataModel
{
  using Unleashed.DataAnnotations;

  [MetadataType(typeof(Metadata))]
  [DisplayName("Order Items")]
  partial class Order_Detail
  {
    [Authorization(
      Allow.Roles, "Manager", "Employee",
      Deny.Users, "*")]
    private abstract class Metadata
    {
      [Display(Name = "Unit Price")]
      public object UnitPrice { get; set; }
    }
  }
}
