﻿merge into dbo.Region as target
using (values 
  (1, 'Eastern'),
  (2, 'Western'),
  (3, 'Northern'),
  (4, 'Southern'))
  as source(RegionID, RegionDescription)
on target.RegionID = source.RegionID
when matched then
  update set RegionDescription = source.RegionDescription
when not matched by target then
  insert (RegionID, RegionDescription) values (source.RegionID, source.RegionDescription);