﻿using System;
using System.Web.UI;
using Unleashed.DynamicData;

namespace WebApplication.DynamicData.FieldTemplates
{
  public partial class BooleanField : UnleashedFieldTemplate
  {
    protected override void OnDataBinding(EventArgs e)
    {
      base.OnDataBinding(e);

      object val = this.FieldValue;
      if (val != null)
        this.CheckBox1.Checked = (bool)val;
    }

    public override Control DataControl
    {
      get { return this.CheckBox1; }
    }
  }
}
