﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" CodeBehind="Delete.aspx.cs" Inherits="WebApplication.DynamicData.PageTemplates.Delete" %>

<asp:Content ContentPlaceHolderID="main" runat="server">
  <asp:DynamicDataManager runat="server">
    <DataControls>
      <asp:DataControlReference ControlID="formView" />
    </DataControls>
  </asp:DynamicDataManager>

  <h2>Are you sure you want to delete this from table <%= table.DisplayName %>?</h2>
  
  <asp:UpdatePanel runat="server">
    <ContentTemplate>
      <asp:ValidationSummary runat="server" HeaderText="List of validation errors" />
      <unl:UnleashedValidator runat="server" ControlToValidate="formView" Display="None" />

      <asp:FormView ID="formView" runat="server" DataSourceID="dataSource" 
        OnItemDeleted="FormView_ItemDeleted">
        <ItemTemplate>
          <unl:UnleashedEntity runat="server" />
          <div class="DDFormActions">
            <asp:Button runat="server" CommandName="Delete" Text="Delete" />
            <a href="<%= this.table.ListActionPath %>">Show all items</a>            
          </div>
        </ItemTemplate>
      </asp:FormView>

      <asp:EntityDataSource ID="dataSource" runat="server" EnableDelete="true" EnableFlattening="false" OnQueryCreated="DataSource_QueryCreated"/>
      <asp:QueryExtender TargetControlID="dataSource" runat="server">
        <asp:DynamicRouteExpression />
      </asp:QueryExtender>
    </ContentTemplate>
  </asp:UpdatePanel>
</asp:Content>
