﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" CodeBehind="Details.aspx.cs" Inherits="WebApplication.DynamicData.PageTemplates.Details" %>

<asp:Content ContentPlaceHolderID="main" runat="Server">
  <asp:DynamicDataManager runat="server">
    <DataControls>
      <asp:DataControlReference ControlID="formView" />
    </DataControls>
  </asp:DynamicDataManager>

  <h2>Entry from table <%= this.table.DisplayName %></h2>

  <asp:UpdatePanel runat="server">
    <ContentTemplate>
      <asp:ValidationSummary runat="server" HeaderText="List of validation errors" />
      <unl:UnleashedValidator runat="server" ControlToValidate="formView" Display="None" />

      <asp:FormView runat="server" ID="formView" DataSourceID="dataSource">
        <ItemTemplate>
          <unl:UnleashedEntity runat="server" />
          <div class="DDFormActions">            
            <asp:DynamicHyperLink runat="server" Action="Edit" Text="Edit" OnInit="EditLink_Init" />
            <asp:DynamicHyperLink runat="server" Action="Delete" Text="Delete" OnInit="DeleteLink_Init" />
            <a href="<%= this.table.ListActionPath %>">Show all items</a>
          </div>
        </ItemTemplate>
      </asp:FormView>

      <asp:EntityDataSource ID="dataSource" runat="server" EnableFlattening="false" OnQueryCreated="DataSource_QueryCreated"/>
      <asp:QueryExtender TargetControlID="dataSource" runat="server">
        <asp:DynamicRouteExpression />
      </asp:QueryExtender>
    </ContentTemplate>
  </asp:UpdatePanel>
</asp:Content>
