﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" CodeBehind="Insert.aspx.cs" Inherits="WebApplication.DynamicData.PageTemplates.Insert" %>

<asp:Content ContentPlaceHolderID="main" runat="Server">
  <asp:DynamicDataManager runat="server">
    <DataControls>
      <asp:DataControlReference ControlID="formView" />
    </DataControls>
  </asp:DynamicDataManager>

  <h2>Add new entry to table <%= table.DisplayName %></h2>

  <asp:UpdatePanel runat="server">
    <ContentTemplate>
      <asp:ValidationSummary runat="server" HeaderText="List of validation errors" />
      <unl:UnleashedValidator runat="server" ControlToValidate="formView" Display="None" />

      <asp:FormView runat="server" ID="formView" DataSourceID="dataSource" DefaultMode="Insert"
        OnItemCommand="FormView_ItemCommand" OnItemInserted="FormView_ItemInserted">
        <InsertItemTemplate>
          <unl:UnleashedEntity runat="server" Mode="Insert" />
          <div class="DDFormActions">
            <asp:LinkButton runat="server" CommandName="Insert" Text="Insert" />
            <asp:LinkButton runat="server" CommandName="Cancel" Text="Cancel" CausesValidation="false" />
          </div>
        </InsertItemTemplate>
      </asp:FormView>

      <asp:EntityDataSource ID="dataSource" runat="server" EnableInsert="true" />
    </ContentTemplate>
  </asp:UpdatePanel>
</asp:Content>
