﻿<%@ Page Language="C#" 
  MasterPageFile="~/Site.master" CodeBehind="SamplePage.aspx.cs" 
  Inherits="WebApplication.Samples.Ch04.FormView.SamplePage" %>

<asp:Content runat="server" ContentPlaceHolderID="main">
  <asp:ValidationSummary runat="server" />
  <asp:FormView ID="form" runat="server" DataSourceID="dataSource">
    <ItemTemplate>
      <label>ID:</label>
      <asp:DynamicControl runat="server" DataField="CustomerID" />
      <label>Name:</label>
      <asp:DynamicControl runat="server" DataField="ContactName" />

      <fieldset><legend>Address</legend>
        <label>Street:</label>
        <asp:DynamicControl runat="server" DataField="Address" /><br />
        
        <label>City:</label>
        <asp:DynamicControl runat="server" DataField="City" />
        <label>State:</label>
        <asp:DynamicControl runat="server" DataField="Region" />
        <label>Zip:</label>
        <asp:DynamicControl runat="server" DataField="PostalCode" />
      </fieldset> 
    </ItemTemplate>
  </asp:FormView>
  <asp:EntityDataSource ID="dataSource" runat="server" 
    ConnectionString="name=NorthwindEntities" AutoGenerateWhereClause="true"
    DefaultContainerName="NorthwindEntities" EntitySetName="Customers">
    <WhereParameters>
      <asp:QueryStringParameter QueryStringField="ID" Name="CustomerID" />
    </WhereParameters>
  </asp:EntityDataSource>
</asp:Content>
