﻿using System;
using System.Web.DynamicData;
using System.Web.Security;
using DataModel;

namespace WebApplication.Samples.Ch12.ParentFilterTemplate
{
  public partial class SamplePage : System.Web.UI.Page
  {
    protected override void OnPreInit(EventArgs e)
    {
      base.OnPreInit(e);
      if (!Global.DefaultModel.GetTable(typeof(Supplier)).CanRead(this.User))
      {
        FormsAuthentication.RedirectToLoginPage();
        this.Response.End();
      }
    }

    protected override void OnInit(EventArgs e)
    {
      base.OnInit(e);
      MetaTable table = Global.DefaultModel.GetTable(this.dataSource.EntitySetName);
      this.gridView.SetMetaTable(table);
      this.dataSource.Include = table.ForeignKeyColumnsNames;
    }
  }
}