﻿CREATE PROCEDURE [dbo].[Products_Delete]
	@ProductID int, @ProductName nvarchar(40), @SupplierID int, @CategoryID int, 
  @QuantityPerUnit nvarchar(20), @UnitPrice money, @UnitsInStock smallint, 
  @UnitsOnOrder smallint, @ReorderLevel smallint, @Discontinued bit, 
  @RowsAffected int out
AS
BEGIN
	DELETE FROM Products
  WHERE 
    ProductID = @ProductID AND
    SupplierID = @SupplierID AND
    CategoryID = @CategoryID AND
    QuantityPerUnit = @QuantityPerUnit AND
    UnitPrice = @UnitPrice AND
    UnitsInStock = @UnitsInStock AND
    UnitsOnOrder = @UnitsOnOrder AND
    ReorderLevel = @ReorderLevel AND 
    Discontinued = @Discontinued;

  SET @RowsAffected = @@ROWCOUNT
END
