﻿/*
Post-Deployment Script Template							
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.		
 Use SQLCMD syntax to include a file in the post-deployment script.			
 Example:      :r .\myfile.sql								
 Use SQLCMD syntax to reference a variable in the post-deployment script.		
 Example:      :setvar TableName MyTable							
               SELECT * FROM [$(TableName)]					
--------------------------------------------------------------------------------------
*/

EXEC dbo.aspnet_RegisterSchemaVersion 'Common', '1', 1, 1;
EXEC dbo.aspnet_RegisterSchemaVersion 'Membership', '1', 1, 1;
EXEC dbo.aspnet_RegisterSchemaVersion 'Role Manager', '1', 1, 1;

:r ".\Seed Data\Region.sql"
:r ".\Seed Data\Territories.sql"
:r ".\Seed Data\Employees.sql"
:r ".\Seed Data\EmployeeTerritories.sql"
:r ".\Seed Data\Categories.sql"
:r ".\Seed Data\Suppliers.sql"
:r ".\Seed Data\Products.sql"
:r ".\Seed Data\Shippers.sql"
:r ".\Seed Data\Customers.sql"
:r ".\Seed Data\Orders.sql"
:r ".\Seed Data\Order Details.sql"