namespace Unleashed.DataAnnotations
{
  using System;

  [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
  public class EntityUIHintAttribute : Attribute
  {
    public EntityUIHintAttribute(string entityUIHint)
    {
      this.EntityUIHint = entityUIHint;
    }

    public string EntityUIHint { get; private set; }
  }
}