﻿namespace Unleashed.DynamicData.Tests
{
  using System;
  using System.Web.DynamicData.ModelProviders;

  class FakeAssociationProvider : AssociationProvider
  {
    public Func<AssociationDirection> DirectionGetter;
    public override AssociationDirection Direction
    {
      get { return this.DirectionGetter != null ? this.DirectionGetter() : base.Direction; }
    }
    
    public Func<ColumnProvider> FromColumnGetter;
    public override ColumnProvider FromColumn
    {
      get { return this.FromColumnGetter != null ? this.FromColumnGetter() : base.FromColumn; }
    }

    public Func<TableProvider> ToTableGetter;
    public override TableProvider ToTable
    {
      get { return this.ToTableGetter != null ? this.ToTableGetter() : base.ToTable; }
    }
  }
}
