namespace Unleashed.DynamicData.Tests
{
  using System;
  using System.Web.DynamicData.ModelProviders;

  class FakeColumnProvider : ColumnProvider
  {
    public FakeColumnProvider(TableProvider table) : base(table)
    {
    }

    public Func<AssociationProvider> AssociationGetter;
    public override AssociationProvider Association
    {
      get { return this.AssociationGetter != null ? this.AssociationGetter() : base.Association; }
    }

    public override Type ColumnType
    {
      get { return typeof(object); }
    }

    public Func<string> NameGetter;
    public override string Name
    {
      get { return this.NameGetter != null ? this.NameGetter() : base.Name; }
    }
  }
}