﻿using System;
using System.Web.UI;
using Unleashed.DynamicData;

namespace WebApplication.DynamicData.FieldTemplates
{
  public partial class EmailAddressField : UnleashedFieldTemplate
  {
    protected override void OnDataBinding(EventArgs e)
    {
      string url = this.FieldValueString;
      if (!url.StartsWith("mailto:", StringComparison.OrdinalIgnoreCase))
        url = "mailto:" + url;
      this.HyperLink1.NavigateUrl = url;
    }

    public override Control DataControl
    {
      get { return this.HyperLink1; }
    }
  }
}
