﻿namespace WebApplication
{
  using System;
  using System.Web;
  using System.Web.DynamicData;
  using System.Web.Routing;
  using DataModel;
  using Unleashed.DynamicData;

  public class Global : HttpApplication
  {
    public static readonly UnleashedMetaModel DefaultModel = new UnleashedMetaModel();
    // public static readonly MetaModel DefaultModel = new MetaModel();

    private void Application_Start(object sender, EventArgs e)
    {
      var modelConfiguration = new ContextConfiguration {ScaffoldAllTables = true};
      DefaultModel.RegisterContext(typeof(NorthwindEntities), modelConfiguration);

      RouteTable.Routes.Add(new DynamicDataRoute("{table}/{action}.aspx"));

      //RouteTable.Routes.Add(new DynamicDataRoute("{table}") { Action = PageAction.List });
      //RouteTable.Routes.Add(new DynamicDataRoute("Product") { Action = PageAction.Details, Table = "Products" });
      //RouteTable.Routes.Add(new DynamicDataRoute("Product/{ProductID}") { Action = PageAction.Details, Table = "Products" });
      //RouteTable.Routes.Add(new DynamicDataRoute("{table}") { Action = PageAction.List, ViewName = "ListDetails" });
      //RouteTable.Routes.Add(new DynamicDataRoute("{table}") { Action = PageAction.Details, ViewName = "ListDetails" });
      //RouteTable.Routes.Add(new DynamicDataRoute("{table}/{action}.aspx")
      //{
      //  Constraints = new RouteValueDictionary() { { "table", "Products|Orders" } }
      //});
      //RouteTable.Routes.Add(new DynamicDataRoute("Dynamic"));
    }
  }
}