﻿using System.Collections;
using System.Linq;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication.MetaDataExplorer
{
  public class EnumerableField : BoundField
  {
    protected override object GetValue(Control controlContainer)
    {
      IEnumerable values = (IEnumerable)base.GetValue(controlContainer);
      return "{" + string.Join(", ", values.Cast<object>().ToArray()) + "}";
    }
  }
}