﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Routing;
using System.Web.DynamicData;

namespace WebApplication.Samples.Ch06.DynamicHyperLinks
{
  public partial class SamplePage : System.Web.UI.Page
  {
    protected void Page_Init(object sender, EventArgs e)
    {
      
    }

    protected void HyperLink_Init(object sender, EventArgs e)
    {
        HyperLink hyperLink = (HyperLink)sender;
        
        RequestContext context = DynamicDataRouteHandler.GetRequestContext(HttpContext.Current);

        RouteValueDictionary routeValues = new RouteValueDictionary();
        routeValues["table"] = "Products";
        routeValues["action"] = "List";

        VirtualPathData pathData = RouteTable.Routes.GetVirtualPath(context, routeValues);

        hyperLink.NavigateUrl = pathData.VirtualPath;
    }
  }
}